<?php

declare(strict_types=1);

namespace App\Policies;

use App\Models\ContentRecap;
use Illuminate\Auth\Access\HandlesAuthorization;
use Illuminate\Foundation\Auth\User as AuthUser;

class ContentRecapPolicy
{
    use HandlesAuthorization;

    public function viewAny(AuthUser $authUser): bool
    {
        return $authUser->can('ViewAny:ContentRecap');
    }

    public function view(AuthUser $authUser, ContentRecap $contentRecap): bool
    {
        return $authUser->can('View:ContentRecap');
    }

    public function create(AuthUser $authUser): bool
    {
        return $authUser->can('Create:ContentRecap');
    }

    public function update(AuthUser $authUser, ContentRecap $contentRecap): bool
    {
        return $authUser->can('Update:ContentRecap');
    }

    public function delete(AuthUser $authUser, ContentRecap $contentRecap): bool
    {
        return $authUser->can('Delete:ContentRecap');
    }

    public function restore(AuthUser $authUser, ContentRecap $contentRecap): bool
    {
        return $authUser->can('Restore:ContentRecap');
    }

    public function forceDelete(AuthUser $authUser, ContentRecap $contentRecap): bool
    {
        return $authUser->can('ForceDelete:ContentRecap');
    }

    public function forceDeleteAny(AuthUser $authUser): bool
    {
        return $authUser->can('ForceDeleteAny:ContentRecap');
    }

    public function restoreAny(AuthUser $authUser): bool
    {
        return $authUser->can('RestoreAny:ContentRecap');
    }

    public function replicate(AuthUser $authUser, ContentRecap $contentRecap): bool
    {
        return $authUser->can('Replicate:ContentRecap');
    }

    public function reorder(AuthUser $authUser): bool
    {
        return $authUser->can('Reorder:ContentRecap');
    }
}
